commit 517dd82c079de762a7426f20166a44f11e8d38c5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 18 18:10:25 2022 -0700

    xcb-util-errors 1.0.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a2812f60373e961d34eb1222d1a2bc50d1c7403
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f968311042d6c52edee0d994170ae305c5b2b0bf
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0fb1c07367b41d077321fb9c8e694168771c6a01
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 50574404bd1fcdb61a68f30a0dd0d15b38ee36a3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3de8874f5db31a9fe107f99c46c8548a05efaef1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b33178bb4acf6481513aebade309be1f3196173a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 20 15:00:51 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e2bfc8115d0f1f6307c64e8e45d23d4180d399e5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jul 20 14:58:19 2022 -0700

    Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4440550bafd3801d7fe6139382051addc4dcefb2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 18 10:20:08 2022 -0700

    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters
    
    configure.ac:33: warning: AC_OUTPUT should be used without arguments.
    configure.ac:33: You should run autoupdate.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a40b2df701657a6e7c927f49cd151a2f04781dba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 18 10:19:06 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5d660ebe872cadcdc85de9d6f9afe05de629c030
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed May 6 08:10:53 2015 +0200

    Do not distribute extensions.c and fix out-of-tree builds
    
    It all started with src/extensions.c being distributed. Thanks to this, tarballs
    shipped with this generated file and actually building this file was skipped.
    Fix this by using the nodist_ variant of the SOURCES variable.
    
    Due to this oversight (sorry!), the out-of-tree build wasn't actually tested.
    The rule that generates src/extensions.c was missing $(srcdir) in front of the
    path to extensions.py. This rule is now fixed and, as suggested by Daphne
    Pfister, also changed to explicitly call the python interpreter. Configure is
    changed to look for it.
    
    Finally, extensions.c couldn't include errors.h. This worked before, because the
    C compiler automatically looks for headers in the same directory as the source
    file. However, for out-of-tree builds, the source directory and build directory
    are different. Paper over this problem by explicitly making it look in the right
    directory.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=90328
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 332f357aa662ad61625ee804f93c5503b2a0c3ec
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 26 16:07:45 2015 +0200

    set version to 1.0
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 33fdb244eda97f178071742ff8e47fff79e7cbf2
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 26 15:59:16 2015 +0200

    Add COPYING file
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 7e5cb24eb4a3cfa3e9dc35c173ea043469549a13
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Apr 6 16:44:45 2015 +0200

    tests: Add some XFixes-based tests
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 5f13d59080e585bc60d67cd00fd2ceb8671c5c06
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Apr 6 16:37:22 2015 +0200

    Add xcb-proto version to xcb-errors.pc
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4911a0c8c34adb1d6c32a3f32d057f4a237b2241
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Apr 6 16:28:08 2015 +0200

    Also add a test for maximum major code
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit ac6b8d89120c9c26925fa4c9bc5d8b56d4ef7113
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Apr 6 16:18:22 2015 +0200

    Re-add a missing length check
    
    This check was accidentally removed in commit 4ed12c46dec9a3055e009c5ecd6c.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 54e2145e1198a892312c571098298baa56fb4d05
Author: Uli Schlachter <psychon@znc.in>
Date:   Mon Apr 6 16:16:32 2015 +0200

    Ignore "event sent" flag in event codes
    
    The highest bit of an event code shows if the event was generated by the X11
    server or via the SendEvent request. Ignore this bit in all places that handle
    event codes.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 0095e4318563875ceb3952fae7fbaa758ab71186
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 14:58:22 2015 +0200

    Update doxygen comments
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 594120dff4d3ffa55a2bb1c70e66508c8fb33273
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 14:39:20 2015 +0200

    Rename *_get_name_for_event()
    
    Now that there are three different functions for querying information about
    events, there shouldn't be one which monopolizes on the "_for_event" name.
    Instead, the preferred API is the "_for_xcb_event" function.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 861fc2c169cad96056de3564c4d7550433285744
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 14:37:24 2015 +0200

    Handle NULL as context argument
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 64fa1e695b528272cb38c4c2cbc0e296c8fca57d
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 14:13:34 2015 +0200

    Use unchecked QueryExtension requests
    
    If this ever causes an error, the underlying event loop at least gets the chance
    to print something useful.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 2d0d25aae08f5ca5de691c016e995c21a977c664
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 14:02:01 2015 +0200

    Update KNOWN_ISSUES (and turn it more into a TODO)
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 964a2b53500ed9af63528375d48d6805c5c11998
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 13:49:07 2015 +0200

    Add a function for figuring out information about an event struct
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 63ca7f6c8814ee4974a1ae784ab06eca01e6dff2
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 13:46:23 2015 +0200

    tests: Use attribute((format(printf,x,y))) if possible
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 88cebd842ef076da6db0645df34321a19488a3ab
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 13:45:23 2015 +0200

    API docs: Clarify when NULL is returned
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 58b38aff25c152dd7e1812305d768309b1c5d803
Author: Uli Schlachter <psychon@znc.in>
Date:   Sun Apr 5 13:41:20 2015 +0200

    Fix copy&paste error
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit b82a03f403d28d35c7e2e34b6e25d268a011487f
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 23:18:03 2015 +0200

    Test: Factor out string-comparision helper function
    
    This function compares strings, handles NULL (almost) correctly, prints an error
    if a mismatch occurs and returns a suitable int result.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 3a6db57743a8564d50a9f6c93e782599e56fc9ff
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 17:37:47 2015 +0200

    Test suite: Add tests for XGE event handling
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit cd2372e6ba1713d59afd8cb93849bd0a3415c320
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 17:37:10 2015 +0200

    Add a function for handling XGE events
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit a66bb6b2320ebc81bd5cb6db7aa89ef5052932d7
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 17:14:24 2015 +0200

    Code generator: Add support for XGE events
    
    This also pretends that XKB has XGE events since that extension has its own
    event multiplexing.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 5cf2876228f247248e9e2d880cc76d0685aa3cdd
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:51:35 2015 +0200

    Save static info as a pointer instead of copying it
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 0ebef8dd7f12e7520c1003a0197313ae7dd7c1ac
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:49:58 2015 +0200

    Move extension name into static info
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 322f2e1b8132e4f1013581793280a91c7b376282
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:46:07 2015 +0200

    Document failure scenarios for *_new()
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 862579778af55817d24e7cd421d34febd95791c1
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:44:19 2015 +0200

    Also return the extension name for events and errors
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit fb56799357b01dec7cfe37d33f95cb02962814e9
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:17:29 2015 +0200

    Correctly handle calloc() failure
    
    If an extension that we support is not present in the X11 server, this is not a
    fatal error. We can just skip this extension. However, the code implementing
    this accidentally also made calloc()-failures non-fatal which is wrong.
    
    Spotted by Ran Benita.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 761079ac8af9be533852fd4011003dec628a97e6
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 16:14:22 2015 +0200

    Test: Skip tests if no X11 server is available
    
    This was suggested by Ran Benita, thanks!
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4ed12c46dec9a3055e009c5ecd6cba5c258ce642
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 10:59:12 2015 +0200

    Don't check codes to be in range, but find "best match"
    
    If some new events are added to an extension, older implementations register a
    smaller portion of the event number space than this library possible knows. So
    we cannot just look for some extension that has some code "in range", but we
    need to find the best one (with the largest base).
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 9f93cefb40104828049e6de82f98c1f110a684a5
Author: Uli Schlachter <psychon@znc.in>
Date:   Sat Apr 4 10:35:14 2015 +0200

    Fix test suite compilation
    
    This didn't find xcb_errors.h for out-of-tree builds. Fix this by using
    $(srcdir) correctly.
    
    Also, the test suite makes use of libxcb and thus should link against it.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 40fdc28891137fb153ee098505a4954fdea50718
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:56:01 2015 +0100

    Add a KNOWN_ISSUES file
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit f6a28cbbad5fa05466dc7e04b0ed04627e5d949e
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:53:04 2015 +0100

    test: Also test minor requests for some core requests
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit 863ada16c1d47f1ffaf3166991f65c77cd7c7fe4
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:51:56 2015 +0100

    Code generator: Print a warning for xge events
    
    These are currently not handled correctly.
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit c4c9a4f09823a48cf7d8d6616b1e307cb6861bbd
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:51:38 2015 +0100

    Skip XKB events in the code generator
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit 95539d3c96862d3293256a7e5c256305c0a6f161
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:51:15 2015 +0100

    tests: Add tests for RandR
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit 059bfdbed84a2c3e8274ca9bc99a103171cdeca5
Author: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>
Date:   Wed Mar 25 10:30:27 2015 +0100

    Add an autotools-based build system
    
    This is based on util-cursor's build system and libxcb/configure.ac for finding
    xcb-proto's XML files.
    
    Signed-off-by: Uli Schlachter <uli.schlachter@informatik.uni-oldenburg.de>

commit 456a9a6f0c44bba9294ddae99e83463bef67ee95
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:58:14 2015 +0100

    Correctly ignore extensions without events / errors
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit c4f199fdae69f7e9b0479ce1565fa1fba9fb5d24
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:57:49 2015 +0100

    Fix get_strings_entry() to actually work
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit fbd56b6b757a0c34949fa5a86e1ce2d8e184e6e6
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:57:36 2015 +0100

    Fix error checking in call to register_extensions()
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 55961e7d79081d7a57bcf54bdd1f518c00039124
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:57:14 2015 +0100

    Code generator: Implement errorcopy and eventcopy
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit e8b35be19f37f9e24f7814b467b94179dbfb9236
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:56:53 2015 +0100

    Begin work on a test suite
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 90dfd2682e73eb01a01740e6a072cb33a63df56e
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:26:55 2015 +0100

    Mark the auto-generated file as auto-generated
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 8f230431a678970d9d8fd0f5fc859e73e612a3ca
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:22:18 2015 +0100

    static_extension_info_t: Use uint8_t again were possible
    
    The previous commit changed these fields into uint16_t since xproto tries to
    assign value 256 here. However, this isn't actually necessary, so this commit
    reverts that and instead makes the code generator emit a 0 here, since this
    value isn't used anyway.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 278a19c56676ef24a57020f2b3d78c44ee9faaf9
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 21:18:53 2015 +0100

    Implement a working code generator
    
    With this change, the output of the code generator actually compiles and can be
    linked into a library. This also changes the API between the generated code and
    the library code. Hopefully, this API is nicer.
    
    The code generator generates a function register_extensions() that looks up all
    extensions and calls register_extension() for each one. Also, a global variable
    xproto_info is exported which contains the information for all core requests and
    also provides fallback names for unknown major codes / event codes / error
    codes.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 71b018acc7e2719f8404b628fcff725521716af7
Author: Uli Schlachter <psychon@znc.in>
Date:   Tue Mar 24 20:21:31 2015 +0100

    Add a first version of the code generator
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 92123f9f80580a3e356c2e9a8fd61a0fc83850c4
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:13:05 2015 +0100

    Include xcb_errors.h from errors.h
    
    This makes errors.h self-contained. It needs the definitions of uint8_t &
    friends that we get through xcb.h from stdint.h.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 925ab1e7fb6ba1b243ffa77912442bfa82416d04
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:11:48 2015 +0100

    Define the "unknown foo" lists as strings
    
    This gets rid of lots of relocations that were needed for the pointers into the
    strings.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 514070caf83ac09478383990d8b3f91493dc1a35
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:02:38 2015 +0100

    Add a TODO about round-trips
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit a000b288db938392b5e8f0f4a5f0d3eea588de66
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:01:53 2015 +0100

    Remove pretty much unused member from xcb_errors_context_t
    
    The xcb_connection_t is only needed during xcb_errors_context_new() and can be
    passed around via arguments here.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 4b6a0d480c1cc0041d22a909aadcbb5f82c69535
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:01:35 2015 +0100

    Fix memory leak in xcb_errors_context_new()
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit c851709f018f0cc5a904f7e9ef830fa246322019
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:00:27 2015 +0100

    Add and use helper macro for range checks
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 6d842936999b3f31f452b598347cd8f402c5f87d
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 22:00:04 2015 +0100

    Fix off-by-one in length check
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

commit 68cf24822c354be1e960ad9198cd187eba122e06
Author: Uli Schlachter <psychon@znc.in>
Date:   Wed Mar 18 21:43:05 2015 +0100

    Initial version
    
    This is an initial prototype on how this library might look like. All the parts
    which should be auto-generated from XCB's XML protocol description are missing.
    The C parts should work fine, but are completely untested.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
